Package picard.fingerprint

# Class LiftOverHaplotypeMap

java.lang.Object
picard.cmdline.CommandLineProgram
picard.fingerprint.LiftOverHaplotypeMap

public class LiftOverHaplotypeMap extends CommandLineProgram
Liftover SNPs in HaplotypeMaps from one reference to another

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`CHAIN`
`File`
`INPUT`
`static final int`
`LIFTOVER_FAILED_FOR_ONE_OR_MORE_SNPS`
`File`
`OUTPUT`
`File`
`SEQUENCE_DICTIONARY`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`LiftOverHaplotypeMap()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(doc="Haplotype database to be lifted over.", shortName="I") public File INPUT

### OUTPUT

@Argument(doc="Where to write lifted-over haplotype database.", shortName="O") public File OUTPUT

### SEQUENCE_DICTIONARY

@Argument(doc="Sequence dictionary to write into the output haplotype database. (Any file from which a dictionary is extractable.)", shortName="SD") public File SEQUENCE_DICTIONARY

### CHAIN

@Argument(doc="Chain file that guides LiftOver. (UCSC format)") public File CHAIN

### LIFTOVER_FAILED_FOR_ONE_OR_MORE_SNPS

public static final int LIFTOVER_FAILED_FOR_ONE_OR_MORE_SNPS

See Also:
  - Constant Field Values

## Constructor Details

### LiftOverHaplotypeMap

public LiftOverHaplotypeMap()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.